Bug 175177 - splash screen hides console login dialog with java 1.5
Summary: splash screen hides console login dialog with java 1.5
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Console   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard: 1.0.2
Keywords:
Depends On:
Blocks: 183369
TreeView+ depends on / blocked
 
Reported: 2005-12-07 11:27 UTC by jay dwyer
Modified: 2015-12-07 17:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 17:08:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (1.85 KB, patch)
2006-02-09 19:16 UTC, Nathan Kinder
no flags Details | Diff
CVS Commit (439 bytes, text/plain)
2006-02-09 23:54 UTC, Nathan Kinder
no flags Details

Description jay dwyer 2005-12-07 11:27:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I've installed fedora ds, can access via ldap tools and through the html admin interface, but when i fire up the ./startconsole java app using sun java 5, it goes nowhere.

JAVA_HOME=/path/to/java/1.5/jre ./startconsole -a http://localhost:3389

the splash screen pops up, but the login screen does not appear.

firing it up with java 1.4.2 works.

i have the sun java packages installed following the jpackage nominated procedures for 1.4.2_07 and 1.5.0_03


Version-Release number of selected component (if applicable):
fedora-ds-1.0

How reproducible:
Always

Steps to Reproduce:
1. set JAVA_HOME to the <jdk1.5_home>/jre
2. fire up the console with ./startconsole
3. go nowhere
  

Actual Results:  splash screen pops up, the message is 'please log in...', but the login screen is not visible

Expected Results:  the login screen should have been visible

Additional info:

Comment 1 Rich Megginson 2005-12-07 15:01:36 UTC
Yeah, unfortunately there is a window ordering problem - the logo/splash screen
is on top of the login screen.  Try this: ./startconsole -x nologo

Comment 2 jay dwyer 2005-12-07 21:58:24 UTC
makes sense,

might check out the source and see if i cant provide a patch..

maybe a note somewhere about only jre 1.4.2 at this stage?

cheers,

jd

Comment 3 Rich Megginson 2005-12-07 22:06:05 UTC
I think jre 1.5 will work fine if you use
./startconsole -x nologo
We'll add this to the FAQ

If you are a Java programmer, please take a look at 
http://directory.fedora.redhat.com/wiki/BuildingConsole
and
http://cvs.fedora.redhat.com/viewcvs/console/src/com/netscape/management/client/console/Console.java?root=dirsec&rev=1.4&view=auto

Comment 4 Colin Tan 2005-12-15 10:17:45 UTC
I log into the server via ssh -X and I had the problem of the window being
invisible. Using another X server, In this case X Darwin would normally only
show the logo. Fixed this with and -nolog option and found that the main window
was nearly off the screen. Pulled it back and all was well

Comment 5 Nathan Kinder 2006-02-09 19:16:42 UTC
Created attachment 124450 [details]
CVS Diffs

These changes ensure that the login dialog is placed on top of the splash
screen in both Java 1.4 and 1.5.

Comment 6 Nathan Kinder 2006-02-09 23:54:27 UTC
Created attachment 124464 [details]
CVS Commit

Checked into console (HEAD).  Reviewed by Rich, Noriko, and Pete.

Comment 7 Michael Gregg 2007-11-20 00:50:34 UTC
It seem to pop up on top now.
verified aginst:
1195517861 redhat-ds-base-8.0.0-11.el5dsrv Mon Nov 19 2007 
1195517864 redhat-ds-admin-8.0.0-1.15.el5dsrv Mon Nov 19 2007 
1195517865 redhat-ds-console-8.0.0-8.el5dsrv Mon Nov 19 2007 
1195517866 redhat-admin-console-8.0.0-9.el5dsrv Mon Nov 19 2007 


Note You need to log in before you can comment on or make changes to this bug.